/**
 * CourseApplet.java
 * 
 * This is a JDBC 3-Tier RMI model using Oracel thin-client database driver.
 * Browser or appletviewer is used in running the Java applet on the Client side.
 * Oracle database driver and remote interface server - CourseImple - are both running on Server side as backend.
 * 
 * Client applet uses remote methods implemented on Server side by binding and looking up registry, 
 * as if the methods are local. Because CourseImpl extends java.rmi.server.UnicastRemoteObject
 * which uses RMI's sockets=based transport for comuunication.
 *
 * This is the main class for the client interface component. This is the applet
 * class that is loaded in the html page and uses several other classes in a
 * hierarchy to build up the user interface. It loads in TopPage and MainPanel. 
 *
 * @author xjqiu@npac.syr.edu
 */

import java.io.*;
import java.awt.*;
import java.rmi.*;
import java.applet.*;

public class CourseApplet extends java.applet.Applet { // class definition

 public static Course obj; //obj for registry binding


/**
 * The init method called by the browser for starting the applet. 
 * It then uses the border layout to place the two panel classes.
 */

 public void init() {

	 String url = getParameter("url");
	 System.out.println("URL is: " + url);

	 try {
		  obj = (Course) Naming.lookup(url);
     }
     catch (Exception ex) {
           System.out.println("CourseApplet->init: Exception... " + ex) ;
           System.out.println("Message..." + ex.getMessage()) ;
           ex.printStackTrace();
     }
 }
 
 public CourseApplet() {    
     setLayout(new BorderLayout()); // set the layout as border layout

     TopPage   tp = new TopPage(); // create a top page and mainpanel pages
     MainPanel mp = new MainPanel();

     add(tp,"North"); //add the components to the applet
     add(mp,"Center");
 }
} // end of Applet class




